<?php

/**
 * @author Gabriel <anhaia.gabriel@email.com>
 */
class Usuario_model extends CI_Model
{
    public $table = 'ys_usuarios';

    public function insert($usuario)
    {
        $this->db->insert($this->table, $usuario);

        return $this->db->insert_id();
    }

    public function delete($id)
    {
        $this->db->delete($this->table, "id_usuario = {$id}");
    }

    public function getUser($usuario)
    {
        $dbUser = $this->db->from($this->table)
            ->where('email_usuario', $usuario['email'])
            ->where('senha_usuario', $usuario['senha'])
            ->get()
            ->row();

        return $dbUser;
    }
}